- Main Page
- Modules
- Namespaces
- Classes
- Files

# filesink.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/basesink.h>`
`#include <gstreamermm/urihandler.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::FileSink
| Gst::FileSink - filesink plugin. More...
## Enumerations
enum | Gst::FileSinkBufferMode { Gst::FILE_SINK_BUFFER_MODE_DEFAULT = -1, Gst::FILE_SINK_BUFFER_MODE_FULL, Gst::FILE_SINK_BUFFER_MODE_LINE, Gst::FILE_SINK_BUFFER_MODE_UNBUFFERED }